Skip to main content
GET
/
models
/
{id}
Get model by ID
curl --request GET \
  --url https://api.galtea.ai/models/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "model_123",
  "organizationId": "org_123",
  "userId": "user_123",
  "name": "GPT-4",
  "inputCostPerToken": 0.00001,
  "outputCostPerToken": 0.00003,
  "cacheReadInputTokenCost": 0.000005,
  "cacheCreationInputTokenCost": 0.000015,
  "inputCostPerTokenAbove128kTokens": 0.00002,
  "outputCostPerTokenAbove128kTokens": 0.00006,
  "tokenizerProvider": "OPENAI",
  "source": "PREDEFINED",
  "createdAt": "2023-11-07T05:31:56Z",
  "deletedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

API key authorization. Pass your API key in the Authorization header as a Bearer token. Both new (gsk_*) and legacy (gsk-) API keys are accepted, e.g. Authorization: Bearer gsk_... or Authorization: Bearer gsk-....

Path Parameters

id
string
required

Model ID

Response

Model retrieved successfully

id
string
Example:

"model_123"

organizationId
string | null
Example:

"org_123"

userId
string | null
Example:

"user_123"

name
string
Example:

"GPT-4"

inputCostPerToken
number | null
Example:

0.00001

outputCostPerToken
number | null
Example:

0.00003

cacheReadInputTokenCost
number | null
Example:

0.000005

cacheCreationInputTokenCost
number | null
Example:

0.000015

inputCostPerTokenAbove128kTokens
number | null
Example:

0.00002

outputCostPerTokenAbove128kTokens
number | null
Example:

0.00006

tokenizerProvider
string | null
Example:

"OPENAI"

source
enum<string> | null
Available options:
PREDEFINED,
CUSTOM
Example:

"PREDEFINED"

createdAt
string<date-time>
deletedAt
string<date-time> | null